---
lang: en
title: 'API docs: socketio.socketiobindings'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiobindings.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoBindings](./socketio.socketiobindings.md)

## SocketIoBindings namespace

**Signature:**

```typescript
export declare namespace SocketIoBindings 
```

## Variables

|  Variable | Description |
|  --- | --- |
|  [CONFIG](./socketio.socketiobindings.config.md) |  |
|  [CONTROLLERS\_NAMESPACE](./socketio.socketiobindings.controllers_namespace.md) |  |
|  [HOST](./socketio.socketiobindings.host.md) | Binding key for setting and injecting the host name of Http Server |
|  [INVOKE\_METHOD](./socketio.socketiobindings.invoke_method.md) |  |
|  [IO](./socketio.socketiobindings.io.md) |  |
|  [MESSAGE](./socketio.socketiobindings.message.md) |  |
|  [PORT](./socketio.socketiobindings.port.md) | Binding key for setting and injecting the port number of Http Server |
|  [REJECT\_METHOD](./socketio.socketiobindings.reject_method.md) |  |
|  [REQUEST\_LISTENER](./socketio.socketiobindings.request_listener.md) |  |
|  [SEND\_METHOD](./socketio.socketiobindings.send_method.md) |  |
|  [SEQUENCE](./socketio.socketiobindings.sequence.md) |  |
|  [SERVER](./socketio.socketiobindings.server.md) | Binding key for the server itself |
|  [SOCKET](./socketio.socketiobindings.socket.md) |  |


